<ng-template #rt let-r="result" let-t="term">
	<ngb-highlight [result]="r.username" [term]="t"></ngb-highlight> &lt;
  {{r.email}}
  &gt;
</ng-template>

<input
  id="typeahead-focus"
  type="text"
  class="form-control"
  [(ngModel)]="model"
  (ngModelChange)="onModelChange()"
  [ngbTypeahead]="search"
  (focus)="focus$.next($any($event).target.value)"
  (click)="click$.next($any($event).target.value)"
  [resultFormatter]="formatter"
  [inputFormatter]="formatter"
  [resultTemplate]="rt"
  #instance="ngbTypeahead"
/>
<hr/>
{{model | json}}

